#7 Various driver init hangs or OOPSes

closed
nobody
None
9
2003-11-10
2003-10-09
Anonymous
No

As suggested by andim2, here i got a bug in pre4 release.

Oct 7 19:16:28 localhost kernel: <acx100_ioctl:
UNVERIFIED. NONV3.> cmd = 0x8B27
Oct 7 19:16:28 localhost kernel: ==> acx100_issue_cmd
Oct 7 19:16:28 localhost kernel: acx100_issue_cmd cmd 1
timeout 5000.
Oct 7 19:16:28 localhost kernel: Unable to handle
kernel NULL pointer dereference at virtual address 00000000

The module would load just fine but it wont let the
card to associate with any AP ( with/out WEP )

Thanks for the great work
Let me know if u need more detail

Discussion

  • Andreas Mohr

    Andreas Mohr - 2003-10-09

    Logged In: YES
    user_id=132674

    OK, I prepared a small very evil and brutal crashme script
    which managed to take down my machine within 3 seconds.
    With some fixes it's gone up to crash within 10 seconds.
    The next version should be very stable.

     
  • Andreas Mohr

    Andreas Mohr - 2003-10-09
    • summary: NULL pointer crash due to premature CommandParameters access --> Various driver init hangs or OOPSes
     
  • Nobody/Anonymous

    Logged In: NO

    I'm probably the one that had this first (with pre3 release),
    and I still have it with pre4.
    I'm monitoring both mail lists, so just give a holler if any info is
    desired. (I'm keen to get my card working, even a temporary
    hack would be nice so that I can get working at finding other
    problmes ;-)

    /Christian

     
  • Andreas Mohr

    Andreas Mohr - 2003-10-26
    • priority: 5 --> 9
     
  • Rosario Peluso

    Rosario Peluso - 2003-10-28

    Logged In: YES
    user_id=729124

    Hi...
    Kernel panic, in my configuration, raises trying to changing
    the card channel with iwconfig, too...
    I have a Compaq EVO N115, with RH 7.2 and standard kernel
    2.4.21 with acpi and swsusp patches. Just after installing
    the module, if I do:
    iwconfig wlan0 channel 6
    What I obtain is the following panic:
    Unable to handle kernel NULL pointer dereference at virtual
    address 00000000
    *pde = 00000000
    Oops: 0000
    CPU: 0
    EIP: 0010:[<00000000>] Not tainted
    EFLAGS: 00010282
    eax: c028f8fc ebx: ceb4600c ecx: 00000000 edx: c02694a8
    esi: 00000000 edi: 00000000 ebp: 00000046 esp: c026ff14
    ds: 0018 es: 0018 ss: 0018
    Process swapper (pid: 0, stackpage=c026f000)
    Stack: c011d516 00000000 00000046 c026ff28 c011d66d c026ff28
    c026ff28 00000000
    c0286d80 00000000 00000046 c0119cfb c0119c03 00000000
    00000001 c0286dc0
    fffffffe c0119a2b c0286dc0 c026ff88 00000000 c0286900
    c02375c0 c01083ac
    Call Trace: [<c011d516>] [<c011d66d>] [<c0119cbf>]
    [<c0119c03>] [<c0119a2b>]
    [<c01083ac>] [<c010a648>] [<c0180edc>] [<c0180df0>]
    [<c0180df0>] [<c0105270>]
    [<c0105312>] [<c0105000>]

    Code: Bad EIP value.
    <0>Kernel panic: Aiee, killing interrupt handler!
    In interrupt handler - not syncing

    I hope to be useful, thank you for all...
    Rosario

     
  • Tim Naylor

    Tim Naylor - 2003-11-10

    Logged In: YES
    user_id=902673

    I was able to reproduce this on Pre4. I rebuilt with Pre5 and
    it works great. Nice work!

     
  • Andreas Mohr

    Andreas Mohr - 2003-11-10
    • status: open --> closed
     
  • Andreas Mohr

    Andreas Mohr - 2003-11-10

    Logged In: YES
    user_id=132674

    Since pre5 aimed to resolve these OOPS issues and succeeded
    quite well (except for some probably unrelated minor OOPS
    cases), I think we can close this now.
    Plus the fact that it's been confirmed working with pre5.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks